## atspi-document atspi-document |

## Functions

gchar * | atspi_document_get_locale ()
gchar * | atspi_document_get_attribute_value ()
GHashTable * | atspi_document_get_attributes ()
gint | atspi_document_get_current_page_number ()
gchar * | atspi_document_get_document_attribute_value ()
GHashTable * | atspi_document_get_document_attributes ()
gint | atspi_document_get_page_count ()

## Types and Values

| AtspiDocument

## Object Hierarchy

        GInterface
        ╰── AtspiDocument

## Known Implementations

AtspiDocument is implemented by AtspiAccessible.

## Description

## Functions

### atspi_document_get_locale ()

    gchar *
    atspi_document_get_locale (AtspiDocument *obj,
                               GError **error);

Gets the locale associated with the document's content, e.g. the locale for LOCALE_TYPE_MESSAGES.

#### Parameters

obj | a pointer to the AtspiDocument object on which to operate. |

#### Returns

a string compliant with the POSIX standard for locale description.

### atspi_document_get_attribute_value ()

    gchar *
    atspi_document_get_attribute_value (AtspiDocument *obj,
                                        gchar *attribute,
                                        GError **error);

`atspi_document_get_attribute_value` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_document_get_document_attribute_value instead.

Gets the value of a single attribute, if specified for the document as a whole.

[rename-to atspi_document_get_document_attribute_value]

#### Parameters

obj | a pointer to the AtspiDocument object on which to operate. |
attribute | a string indicating the name of a specific attribute. |

#### Returns

a string corresponding to the value of the specified attribute, or an empty string if the attribute is unspecified for the object.

### atspi_document_get_attributes ()

    GHashTable *
    atspi_document_get_attributes (AtspiDocument *obj,
                                   GError **error);

`atspi_document_get_attributes` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_document_get_document_attributes instead.

Gets all constant attributes for the document as a whole. For attributes that change within the document content, see `atspi_text_get_attribute_run` instead.

[rename-to atspi_document_get_document_attributes]

#### Parameters

obj | a pointer to the AtspiDocument object on which to operate. |

#### Returns

a GHashTable containing the constant attributes of the document, as name-value pairs.

[element-type gchar* gchar*][transfer full]

### atspi_document_get_current_page_number ()

    gint
    atspi_document_get_current_page_number
                                   (AtspiDocument *obj,
                                    GError **error);

Gets the current page number of an AccessibleDocument object.

#### Parameters

obj | a pointer to the AtspiDocument object to query. |

#### Returns

a gint indicating the current page number in the AccessibleDocument object.

### atspi_document_get_document_attribute_value ()

    gchar *
    atspi_document_get_document_attribute_value
                                   (AtspiDocument *obj,
                                    gchar *attribute,
                                    GError **error);

Gets the value of a single attribute, if specified for the document as a whole.

#### Parameters

obj | a pointer to the AtspiDocument object on which to operate. |
attribute | a string indicating the name of a specific attribute. |

#### Returns

a string corresponding to the value of the specified attribute, or an empty string if the attribute is unspecified for the object.

### atspi_document_get_document_attributes ()

    GHashTable *
    atspi_document_get_document_attributes
                                   (AtspiDocument *obj,
                                    GError **error);

Gets all constant attributes for the document as a whole. For attributes that change within the document content, see `atspi_text_get_attribute_run` instead.

#### Parameters

obj | a pointer to the AtspiDocument object on which to operate. |

#### Returns

a GHashTable containing the constant attributes of the document, as name-value pairs.

[element-type gchar* gchar*][transfer full]

### atspi_document_get_page_count ()

    gint
    atspi_document_get_page_count (AtspiDocument *obj,
                                   GError **error);

Gets the page count of an AccessibleDocument object.

#### Parameters

obj | a pointer to the AtspiDocument object to query. |

#### Returns

a gint indicating the page count of an AccessibleDocument object.

## Types and Values

### AtspiDocument

    typedef struct _AtspiDocument AtspiDocument;